[arch-commits] Commit in device-mapper/trunk (ChangeLog PKGBUILD)

Eric Bélanger eric at archlinux.org
Sun May 24 01:23:02 EDT 2009


    Date: Sunday, May 24, 2009 @ 01:23:02
  Author: eric
Revision: 39941

upgpkg: device-mapper 1.02.32-1
    Upstream update, Added dmsetup.static

Modified:
  device-mapper/trunk/ChangeLog
  device-mapper/trunk/PKGBUILD

-----------+
 ChangeLog |    6 ++++++
 PKGBUILD  |   27 ++++++++++++++-------------
 2 files changed, 20 insertions(+), 13 deletions(-)

Modified: ChangeLog
===================================================================
--- ChangeLog	2009-05-23 17:47:37 UTC (rev 39940)
+++ ChangeLog	2009-05-24 05:23:02 UTC (rev 39941)
@@ -1,3 +1,9 @@
+2009-05-23  Eric Belanger  <eric at archlinux.org>
+
+	* device-mapper 1.02.32-1
+	* Upstream update
+	* Added dmsetup.static
+
 2009-03-07  Eric Belanger  <eric at archlinux.org>
 
 	* device-mapper 1.02.31-1

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-05-23 17:47:37 UTC (rev 39940)
+++ PKGBUILD	2009-05-24 05:23:02 UTC (rev 39941)
@@ -2,32 +2,33 @@
 # Maintainer: Eric Belanger <eric at archlinux.org>
 
 pkgname=device-mapper
-pkgver=1.02.31
-_lvmver=2.02.45
+pkgver=1.02.32
+_lvmver=2.02.47
 pkgrel=1
-pkgdesc="Device mapper userspace library and tools."
+pkgdesc="Device mapper userspace library and tools"
 arch=('i686' 'x86_64')
 url="http://sourceware.org/dm/"
 license=('GPL')
 groups=('base')
 depends=('readline')
 source=(ftp://sources.redhat.com/pub/lvm2/LVM2.${_lvmver}.tgz device-mapper.rules)
-md5sums=('440daa01b8f2ec4fe97b1cc621108220' '065f32a36947e6183722ed9aef13dc0c')
-sha1sums=('d2b167198e7a4efea743fefaa84c3a43715341eb' '003f5cf654503dcc9c1ba7c11c7d6e77bf27bb8d')
+md5sums=('669d57ff97d171fd4e077c61da1f9a34' '065f32a36947e6183722ed9aef13dc0c')
+sha1sums=('e3c7c1ee8c3b1054a18d38d41d994f9469a37b79' '003f5cf654503dcc9c1ba7c11c7d6e77bf27bb8d')
 
 build() {
-  cd ${srcdir}/LVM2.${_lvmver}
-  ./configure --prefix=/usr || return 1
+  cd "${srcdir}/LVM2.${_lvmver}"
+  ./configure --prefix=/usr --enable-static_link || return 1
   make device-mapper || return 1
-  make DESTDIR=${pkgdir} sbindir=${pkgdir}/sbin \
-    libdir=${pkgdir}/lib install_device-mapper || return 1
+  make DESTDIR="${pkgdir}" sbindir="${pkgdir}/sbin" \
+    libdir="${pkgdir}/lib" install_device-mapper || return 1
 
   # install the static library as well
-  install -D -m644 libdm/ioctl/libdevmapper.a ${pkgdir}/usr/lib/libdevmapper.a || return 1
+  rm "${pkgdir}"/lib/libdevmapper.a*
+  install -D -m644 libdm/ioctl/libdevmapper.a "${pkgdir}/usr/lib/libdevmapper.a" || return 1
   # install pkgconfig file
-  install -D -m644 libdm/libdevmapper.pc ${pkgdir}/usr/lib/pkgconfig/libdevmapper.pc || return 1
+  install -D -m644 libdm/libdevmapper.pc "${pkgdir}/usr/lib/pkgconfig/libdevmapper.pc" || return 1
   # install udev rule
-  install -D -m644 ${srcdir}/device-mapper.rules ${pkgdir}/etc/udev/rules.d/device-mapper.rules || return 1
+  install -D -m644 "${srcdir}/device-mapper.rules" "${pkgdir}/etc/udev/rules.d/device-mapper.rules" || return 1
   # fix device-mapper link bug
-  ln -sf /lib/libdevmapper.so ${pkgdir}/usr/lib/libdevmapper.so || return 1
+  ln -sf /lib/libdevmapper.so "${pkgdir}/usr/lib/libdevmapper.so" || return 1
 }



More information about the arch-commits mailing list